Subject: Re: XWin listens on too many TCP ports and killing existing connections.
From: Alexander Gottwald <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 29 May 2004 23:14:17 +0200 (MEST)

Caphe Noir wrote:

> From: "Alexander Gottwald"
> <[email-masked]>
> > I've created a small testprogram which calls select with a timeout of
> > 1 second. Get it from http://www.tu-chemnitz.de/~goal/xfree/select.tar.gz
> > unpack and run it:
> > /select.exe www.google.com 80
> >
> > This will print lines with "timeout". Do you get a new connection with
> > every timeout message?
>
> Sure does, a new listening connection at every
> timeout.

Are the connections sticky? I've just run it on my cygwin installation and
the number of connections is fixed. There is a new connection every second
but the old disappears before the new is created.

If you experience a different behaviour than it must be a problem with
ZoneAlarm or an other program installed on your host.

> Is there any work-around for this select problem?

I'm directing the message to the cygwin list since this problem also occurs
with a plain small cygwin program and is not bound to Cygwin/X at all.

> BTW, thanks for providing the source code.

No problem. This was just small socket programming praxis.

bye
    ago
NP: Lacrimosa - Alles Lüge
-- 
 [email-masked]
 http://www.gotti.org           ICQ: 126018723

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/